## cloud-init 20.1-10-g71af48df

=== debian/changelog ===
cloud-init (20.1-10-g71af48df-0ubuntu5) focal; urgency=medium

  * cherry-pick 0c5c7367: test_mounts: expand happy path test for both
    happy paths

 -- Daniel Watkins <oddbloke@ubuntu.com>  Thu, 16 Apr 2020 11:23:08 -0400

cloud-init (20.1-10-g71af48df-0ubuntu4) focal; urgency=medium

  * cherry-pick 9d7b35ce: cc_mounts: fix incorrect format specifiers
    (#316) (LP: #1872836)

 -- Chad Smith <chad.smith@canonical.com>  Wed, 15 Apr 2020 15:09:04 -0600

cloud-init (20.1-10-g71af48df-0ubuntu3) focal; urgency=medium

  * d/patches: redact openbsd netbsd from tests until new-upstream-snapshot
    - fix-cpick-4fb6fd8a-net-ubuntu-focal-prioritize-netplan-over-eni
  * cherry-pick 6600c642: ec2: render network on all NICs and add
    secondary IPs as (LP: #1866930)
  * cherry-pick 986f37b0: cloudinit: move to pytest for running tests
    (#211)
  * cherry-pick 4fb6fd8a: net: ubuntu focal prioritize netplan over eni
    even if both (LP: #1867029)
  * cherry-pick 04771d75: cc_disk_setup: fix RuntimeError (#270) (LP:
    #1868327)
  * cherry-pick c5e949c0: distros/tests/test_init: add tests for
  * cherry-pick 2566fdbe: net: introduce is_ip_address function (#288)
  * cherry-pick 4f825b3e: cloudinit: refactor util.is_ipv4 to
    net.is_ipv4_address
  * cherry-pick c478d0bf: distros: replace invalid characters in mirror
    URLs with (LP: #1868232)
  * cherry-pick 1bbc4908: distros: drop leading/trailing hyphens from
    mirror URL labels
  * cherry-pick 09fea85f: net: ignore 'renderer' key in netplan config
    (#306) (LP: #1870421)

 -- Chad Smith <chad.smith@canonical.com>  Fri, 03 Apr 2020 13:57:52 -0600

cloud-init (20.1-10-g71af48df-0ubuntu2) focal; urgency=medium

  * d/control: add python3-pytest to Build-Depends
    - This fixes upstream daily builds.  python3-nose is not removed from
      Build-Depends because, currently, the Ubuntu package builds will still
      use it for testing.
  * cherry-pick 6600c642: ec2: render network on all NICs and add
    secondary IPs as (LP: #1866930)

 -- Chad Smith <chad.smith@canonical.com>  Wed, 18 Mar 2020 14:01:37 -0600

cloud-init (20.1-10-g71af48df-0ubuntu1) focal; urgency=medium

  * New upstream snapshot.
    - instance-data: add cloud-init merged_cfg and sys_info keys to json
      (#214) (LP: #1865969)

 -- Chad Smith <chad.smith@canonical.com>  Tue, 10 Mar 2020 11:14:53 -0600

cloud-init (20.1-9-g1f860e5a-0ubuntu1) focal; urgency=medium

  * New upstream snapshot: bug-fix-only during feature freeze
    - ec2: Do not fallback to IMDSv1 on EC2 (#216)
      [Frederick Lefebvre] (LP: #1866290)
    - instance-data: write redacted cfg to instance-data.json (#233)
      (LP: #1865947)
    - net: support network-config:disabled on the kernel commandline (#232)
      (LP: #1862702)
    - ec2: only redact token request headers in logs, avoid altering request
      (#230) (LP: #1865882)

 -- Chad Smith <chad.smith@canonical.com>  Fri, 06 Mar 2020 11:01:15 -0700

cloud-init (20.1-5-g67c8e53c-0ubuntu1) focal; urgency=medium

  * New upstream snapshot.
    - docs: typo fixed: dta → data [Alexey Vazhnov]
    - Fixes typo on Amazon Web Services (#217) [Nick Wales]
    - Fix docs for OpenStack DMI Asset Tag (#228)
      [Mark T. Voelker] (LP: #1669875)
    - Add physical network type: cascading to openstack helpers (#200)
      [sab-systems]
    - tests: add focal integration tests for ubuntu (#225)

 -- Chad Smith <chad.smith@canonical.com>  Thu, 27 Feb 2020 16:56:16 -0700

cloud-init (20.1-0ubuntu1) focal; urgency=medium

  * New upstream release.
    - Release 20.1 (#222) (LP: #1863954)
    - Update tooling for GitHub-based new releases (#223)
    - ec2: Do not log IMDSv2 token values, instead use REDACTED (#219)
      (LP: #1863943)
    - utils: use SystemRandom when generating random password. (#204)
      [Dimitri John Ledkov]
    - docs: mount_default_files is a list of 6 items, not 7 (#212)
    - azurecloud: fix issues with instances not starting (#205) (LP: #1861921)
    - unittest: fix stderr leak in cc_set_password random unittest
      output. (#208)
    - cc_disk_setup: add swap filesystem force flag (#207)
    - import sysvinit patches from freebsd-ports tree (#161) [Igor Galić]
    - docs: fix typo (#195) [Edwin Kofler]

 -- Daniel Watkins <oddbloke@ubuntu.com>  Thu, 20 Feb 2020 16:36:44 -0500

cloud-init (19.4-56-g06e324ff-0ubuntu1) focal; urgency=medium

  * New upstream snapshot.
    - sysconfig: distro-specific config rendering for BOOTPROTO option (#162)
      [Robert Schweikert] (LP: #1800854)
    - cloudinit: replace "from six import X" imports (except in util.py) (#183)
    - run-container: use 'test -n' instead of 'test ! -z' (#202)
      [Paride Legovini]
    - net/cmdline: correctly handle static ip= config (#201)
      [Dimitri John Ledkov] (LP: #1861412)
    - Replace mock library with unittest.mock (#186)
    - HACKING.rst: update CLA link (#199)
    - Scaleway: Fix DatasourceScaleway to avoid backtrace (#128)
      [Louis Bouchard]
    - cloudinit/cmd/devel/net_convert.py: add missing space (#191)
    - tools/run-container: drop support for python2 (#192) [Paride Legovini]
    - Print ssh key fingerprints using sha256 hash (#188) (LP: #1860789)
    - Make the RPM build use Python 3 (#190) [Paride Legovini]
    - cc_set_password: increase random pwlength from 9 to 20 (#189)
      (LP: #1860795) (CVE-2020-8632)
    - .travis.yml: use correct Python version for xenial tests (#185)
    - cloudinit: remove ImportError handling for mock imports (#182)
    - Do not use fallocate in swap file creation on xfs. (#70)
      [Eduardo Otubo] (LP: #1781781)
    - .readthedocs.yaml: install cloud-init when building docs (#181)
      (LP: #1860450)
    - Introduce an RTD config file, and pin the Sphinx version to the RTD
      default (#180)
    - Drop most of the remaining use of six (#179)
    - Start removing dependency on six (#178)
    - Add Rootbox & HyperOne to list of cloud in README (#176) [Adam Dobrawy]


=== debian/control ===
Source: cloud-init
Section: admin
Priority: optional
Homepage: https://cloud-init.io/
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9.20160709),
               dh-python,
               iproute2,
               pep8,
               po-debconf,
               pyflakes,
               python3,
               python3-configobj,
               python3-httpretty,
               python3-jinja2,
               python3-jsonpatch,
               python3-jsonschema,
               python3-mock,
               python3-nose,
               python3-oauthlib,
               python3-pep8,
               python3-pyflakes | pyflakes (<< 1.1.0-2),
               python3-pytest,
               python3-requests,
               python3-serial,
               python3-setuptools,
               python3-six,
               python3-unittest2,
               python3-yaml
XS-Python-Version: all
Vcs-Browser: https://github.com/canonical/cloud-init/tree/ubuntu/devel
Vcs-Git: https://github.com/canonical/cloud-init -b ubuntu/devel
Standards-Version: 4.4.1
Rules-Requires-Root: no

Package: cloud-init
Architecture: all
Depends: cloud-guest-utils | cloud-utils,
         isc-dhcp-client,
         iproute2,
         netplan.io,
         procps,
         python3,
         python3-requests,
         python3-serial,
         ${misc:Depends},
         ${python3:Depends}
Recommends: eatmydata, gdisk, software-properties-common
XB-Python-Version: ${python:Versions}
Description: initialization and customization tool for cloud instances
 Cloud-init is the industry standard multi-distribution method for
 cross-platform cloud instance initialization. It is supported across all major
 public cloud providers, provisioning systems for private cloud infrastructure,
 and bare-metal installations.
 .
 Cloud instances are initialized from a disk image and instance data:
 .
  * Cloud metadata
  * User data (optional)
  * Vendor data (optional)
 .
 Cloud-init will identify the cloud it is running on during boot, read any
 provided metadata from the cloud and initialize the system accordingly. This
 may involve setting up the network and storage devices to configuring SSH
 access key and many other aspects of a system. Later on the cloud-init will
 also parse and process any optional user or vendor data that was passed to
 the instance.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

INIT_SYSTEM ?= systemd
export PYBUILD_INSTALL_ARGS=--init-system=$(INIT_SYSTEM)

%:
	dh $@ --with python3,systemd --buildsystem pybuild

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	http_proxy= make PYVER=python3 check
else
	@echo check disabled by DEB_BUILD_OPTIONS=$(DEB_BUILD_OPTIONS)
endif

override_dh_systemd_start:
	dh_systemd_start --no-restart-on-upgrade --no-start

override_dh_auto_install:
	dh_auto_install --destdir=debian/cloud-init
	install -D -m 0644 ./tools/21-cloudinit.conf debian/cloud-init/etc/rsyslog.d/21-cloudinit.conf
	install -D ./tools/Z99-cloud-locale-test.sh debian/cloud-init/etc/profile.d/Z99-cloud-locale-test.sh
	install -D ./tools/Z99-cloudinit-warnings.sh debian/cloud-init/etc/profile.d/Z99-cloudinit-warnings.sh
	install -m 0644 -D debian/apport-launcher.py debian/cloud-init/usr/share/apport/package-hooks/cloud-init.py
	flist=$$(find $(CURDIR)/debian/ -type f -name version.py) && sed -i 's,@@PACKAGED_VERSION@@,$(DEB_VERSION),' $${flist:-did-not-find-version-py-for-replacement}

## cloud-init 20.2

=== Makefile ===
CWD=$(shell pwd)
PYVER ?= $(shell for p in python3 python2; do \
	out=$$(command -v $$p 2>&1) && echo $$p && exit; done; exit 1)

YAML_FILES=$(shell find cloudinit tests tools -name "*.yaml" -type f )
YAML_FILES+=$(shell find doc/examples -name "cloud-config*.txt" -type f )

PIP_INSTALL := pip install

ifeq ($(PYVER),python3)
  pyflakes = pyflakes3
  unittests = unittest3
  yaml = yaml
else
ifeq ($(PYVER),python2)
  pyflakes = pyflakes
  unittests = unittest
else
  pyflakes = pyflakes pyflakes3
  unittests = unittest unittest3
endif
endif

ifeq ($(distro),)
  distro = redhat
endif

READ_VERSION=$(shell $(PYVER) $(CWD)/tools/read-version || \
  echo read-version-failed)
CODE_VERSION=$(shell $(PYVER) -c "from cloudinit import version; print(version.version_string())")


all: check

check: check_version test $(yaml)

style-check: pep8 $(pyflakes)

pep8:
	@$(CWD)/tools/run-pep8

pyflakes:
	@$(CWD)/tools/run-pyflakes

pyflakes3:
	@$(CWD)/tools/run-pyflakes3

unittest: clean_pyc
	python -m pytest -v tests/unittests cloudinit

unittest3: clean_pyc
	python3 -m pytest -v tests/unittests cloudinit

ci-deps-ubuntu:
	@$(PYVER) $(CWD)/tools/read-dependencies --distro ubuntu --test-distro

ci-deps-centos:
	@$(PYVER) $(CWD)/tools/read-dependencies --distro centos --test-distro

pip-requirements:
	@echo "Installing cloud-init dependencies..."
	$(PIP_INSTALL) -r "$@.txt" -q

pip-test-requirements:
	@echo "Installing cloud-init test dependencies..."
	$(PIP_INSTALL) -r "$@.txt" -q

test: $(unittests)

check_version:
	@if [ "$(READ_VERSION)" != "$(CODE_VERSION)" ]; then \
	    echo "Error: read-version version '$(READ_VERSION)'" \
	    "not equal to code version '$(CODE_VERSION)'"; exit 2; \
	    else true; fi

config/cloud.cfg:
	$(PYVER) ./tools/render-cloudcfg config/cloud.cfg.tmpl config/cloud.cfg

clean_pyc:
	@find . -type f -name "*.pyc" -delete
	@find . -type d -name __pycache__ -delete

clean: clean_pyc
	rm -rf doc/rtd_html .tox .coverage

yaml:
	@$(PYVER) $(CWD)/tools/validate-yaml.py $(YAML_FILES)

rpm:
	$(PYVER) ./packages/brpm --distro=$(distro)

srpm:
	$(PYVER) ./packages/brpm --srpm --distro=$(distro)

deb:
	@which debuild || \
		{ echo "Missing devscripts dependency. Install with:"; \
		  echo sudo apt-get install devscripts; exit 1; }

	$(PYVER) ./packages/bddeb

deb-src:
	@which debuild || \
		{ echo "Missing devscripts dependency. Install with:"; \
		  echo sudo apt-get install devscripts; exit 1; }
	$(PYVER) ./packages/bddeb -S -d

doc:
	tox -e doc

.PHONY: test pyflakes pyflakes3 clean pep8 rpm srpm deb deb-src yaml
.PHONY: check_version pip-test-requirements pip-requirements clean_pyc
.PHONY: unittest unittest3 style-check doc

=== debian/changelog ===
cloud-init (20.2-2~deb10u2) buster; urgency=high

  * Avoid logging generated passwords to world-readable log files.
    CVE-2021-3429. (Closes: #985540)

 -- Noah Meyerhans <noahm@debian.org>  Fri, 19 Mar 2021 09:43:23 -0700

cloud-init (20.2-2~deb10u1) buster; urgency=medium

  * Release for buster.  No further changes.

 -- Noah Meyerhans <noahm@debian.org>  Tue, 30 Jun 2020 17:20:38 -0700

cloud-init (20.2-2) unstable; urgency=medium

  * Add missing Build-Dep on python3-pytest

 -- Noah Meyerhans <noahm@debian.org>  Tue, 19 May 2020 17:27:07 -0700

cloud-init (20.2-1) unstable; urgency=medium

  * New upstream version
  * Drop patches that have been merged upstream
  * Switch to pytest for running tests, per upstream change

 -- Noah Meyerhans <noahm@debian.org>  Tue, 19 May 2020 16:07:52 -0700

cloud-init (20.1-2) unstable; urgency=medium

  * Fix python 3.8 incompatibility (Closes: #954276)
  * Cherry-pick fa1abfec2705 (ec2: only redact token request headers in
    logs, avoid altering request) from upstream. (Closes: #954363)
  * Cherry-pick 1f860e5ac7eb (ec2: Do not fallback to IMDSv1 on EC2) from
    upstream.

 -- Noah Meyerhans <noahm@debian.org>  Mon, 23 Mar 2020 09:02:27 -0700

cloud-init (20.1-1) unstable; urgency=medium

  * New upstream release
  * Remove patches applied upstream:
    - CVE-2020-8631.patch
    - CVE-2020-8632.patch
  * Refresh patches:
    - 0009-Drop-all-unused-extended-version-handling.patch
  * Reduce cloud-guest-utils from Depends to Recommends
  * Bump standards version to 4.5.0 (no changes needed)
  * Remove Charles Plessy <plessy@debian.org> from uploaders, as he is no
    longer active in the cloud team.

 -- Noah Meyerhans <noahm@debian.org>  Fri, 13 Mar 2020 14:26:55 -0700

cloud-init (19.4-2) unstable; urgency=medium

  * Import upstream fix for CVE-2020-8632.  rand_user_password generates
    passwords of insufficient length.  (Closes: #951363)
  * Import upstream fix for CVE-2020-8631.  Cloud-init uses an insufficient
    source of randomness when generating passwords. (Closes: #951362)

 -- Noah Meyerhans <noahm@debian.org>  Tue, 18 Feb 2020 14:17:28 -0800

cloud-init (19.4-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/copyright to note dual-dual license status (Closes: #866613)

 -- Noah Meyerhans <noahm@debian.org>  Fri, 14 Feb 2020 16:37:08 -0800

=== debian/control ===
Source: cloud-init
Maintainer: Debian Cloud Team <debian-cloud@lists.debian.org>
Uploaders:
 Bastian Blank <waldi@debian.org>,
 Thomas Goirand <zigo@debian.org>,
 Noah Meyerhans <noahm@debian.org>,
Section: admin
Priority: optional
Build-Depends:
 debhelper (>= 10),
 dh-python,
 iproute2,
 po-debconf,
 pylint,
 python3-all,
 python3-pep8,
 python3-setuptools,
Build-Depends-Indep:
 python3-configobj,
 python3-contextlib2,
 python3-httpretty (>= 0.9.5),
 python3-jinja2,
 python3-jsonpatch,
 python3-jsonschema,
 python3-mock,
 python3-oauthlib,
 python3-prettytable,
 python3-pyflakes,
 python3-pytest,
 python3-requests,
 python3-serial,
 python3-six,
 python3-unittest2,
 python3-yaml,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/cloud-team/cloud-init
Vcs-Git: https://salsa.debian.org/cloud-team/cloud-init.git
Homepage: https://launchpad.net/cloud-init

Package: cloud-init
Architecture: all
Depends:
 fdisk | util-linux (<< 2.29.2-3~),
 gdisk,
 ifupdown,
 locales,
 lsb-base,
 lsb-release,
 net-tools,
 procps,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 cloud-guest-utils,
 eatmydata,
 sudo,
Suggests:
 btrfs-progs,
 e2fsprogs,
 xfsprogs,
Description: initialization system for infrastructure cloud instances
 Cloud-init provides a framework and tool to configure and customize virtual
 machine instances for Infrastructure-as-a-Service (IaaS) clouds platforms. It
 can for example set a default locale and hostname, generate SSH private host
 keys, install SSH public keys for logging into a default account, set up
 ephemeral mount points, and run user-provided scripts.
 .
 Various methods are supported for passing data to the instance at launch
 time, including the standard interfaces of multiple platforms.

=== debian/rules ===
#!/usr/bin/make -f

PYTHON3S:=$(shell py3versions -vr)
export PYBUILD_INSTALL_ARGS=--init-system=systemd,sysvinit_deb

%:
	dh $@ --with python3 --buildsystem pybuild

override_dh_auto_install:
	dh_auto_install
	mv $(CURDIR)/debian/cloud-init/etc/NetworkManager/dispatcher.d/hook-network-manager \
		$(CURDIR)/debian/cloud-init/etc/NetworkManager/dispatcher.d/cloud-init-hook-network-manager

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e && set -x && for pyvers in $(PYTHON3S); do \
		PYMAJOR=`echo $$pyvers | cut -d'.' -f1` ; \
		echo "===> Testing with python$$pyvers (python$$PYMAJOR)" ; \
		PYTHON=python$$pyvers PYTHONPATH=. python$$pyvers -m pytest -v tests/unittests ; \
	done
endif

override_dh_installinit:
	dh_installinit --onlyscripts --no-start --no-restart-on-upgrade --name cloud-init-local
	dh_installinit --onlyscripts --no-start --no-restart-on-upgrade
	dh_installinit --onlyscripts --no-start --no-restart-on-upgrade --name cloud-config
	dh_installinit --onlyscripts --no-start --no-restart-on-upgrade --name cloud-final

override_dh_systemd_start:
	dh_systemd_start --no-restart-on-upgrade --no-start

## cloud-init 20.2-45-g5f7825e2

=== debian/changelog ===
cloud-init (20.2-45-g5f7825e2-0ubuntu1~19.10.1) eoan; urgency=medium

  * d/cloud-init.templates: Add RbxCloud datasource support
  * d/control: drop python3-pep8, python3-pyflakes, python3-six from
    Build-depends
  * d/patches/ec2-dont-apply-full-imds-network-config.patch: by default only
    configure DHCP on eth0 to retain current network config behavior
  * d/patches/renderer-do-not-prefer-netplan.patch: leave default renderer
    order as ENI before netplan.
  * New upstream snapshot. (LP: #1881018)
    - test: fix all flake8 E241 (#403) [Joshua Powers]
    - test: ignore flake8 E402 errors in main.py (#402) [Joshua Powers]
    - cc_grub_dpkg: determine idevs in more robust manner with grub-probe
      (#358) [Matthew Ruffell]
    - test: fix all flake8 E741 errors (#401) [Joshua Powers]
    - tests: add groovy integration tests for ubuntu (#400)
    - Enable chef_license support for chef infra client (#389) [Bipin Bachhao]
    - testing: use flake8 again (#392) [Joshua Powers]

 -- Chad Smith <chad.smith@canonical.com>  Tue, 02 Jun 2020 16:08:40 -0600

cloud-init (20.2-38-g8377897b-0ubuntu1~19.10.1) eoan; urgency=medium

  * d/control: drop pyflakes from Build-Depends
  * d/control: drop python3-nose and python3-unittest2 from Build-Depends
    - upstream uses pytest
  * d/control: add python3-pytest to Build-Depends
    - This fixes upstream daily builds.  python3-nose is not removed from
      Build-Depends because, currently, the Ubuntu package builds will still
      use it for testing.
  * New upstream snapshot. (LP: #1881018)
    - enable Puppet, Chef mcollective in default config (#385)
      [Mina Galić (deprecated: Igor Galić)]
    - HACKING.rst: introduce .net -> Networking refactor section (#384)
    - Travis: do not install python3-contextlib2 (dropped dependency) (#388)
      [Paride Legovini]
    - HACKING: mention that .github-cla-signers is alpha-sorted (#380)
    - Add bipinbachhao as contributor (#379) [Bipin Bachhao]
    - cc_snap: validate that assertions property values are strings (#370)
    - conftest: implement partial disable_subp_usage (#371)
    - test_resolv_conf: refresh stale comment (#374)
    - cc_snap: apply validation to snap.commands properties (#364)
    - make finding libc platform independent (#366)
      [Mina Galić (deprecated: Igor Galić)]
    - doc/rtd/topics/faq: Updates LXD docs links to current site (#368) [TomP]
    - templater: drop Jinja Python 2 compatibility shim (#353)
    - cloudinit: minor pylint fixes (#360)
    - cloudinit: remove unneeded __future__ imports (#362)
    - migrating momousta lp user to Moustafa-Moustafa GitHub user (#361)
      [Moustafa Moustafa]
    - cloud_tests: emit dots on Travis while fetching images (#347)
    - Add schema to apt configure config (#357) [lucasmoura]
    - conftest: add docs and tests regarding CiTestCase's subp functionality
      (#343)
    - analyze/dump: refactor shared string into variable (#350)
    - doc: update boot.rst with correct timing of runcmd (#351)
    - HACKING.rst: change contact info to Rick Harding (#359) [lucasmoura]
    - HACKING.rst: guide people to add themselves to the CLA file (#349)
    - HACKING.rst: more unit testing documentation (#354)
    - .travis.yml: don't run lintian during integration test package builds
      (#352)
    - Add test to ensure docs examples are valid cloud-init configs (#355)
      [James Falcon]
    - make suse and sles support 127.0.1.1 (#336) [chengcheng-chcheng]
    - Create tests to validate schema examples (#348) [lucasmoura]
    - analyze/dump: add support for Amazon Linux 2 log lines (#346)
    - bsd: upgrade support (#305) [Gonéri Le Bouder]
    - Add lucasmoura as contributor (#345) [lucasmoura]
    - Add "therealfalcon" as contributor (#344) [James Falcon]
    - Adapt the package building scripts to use Python 3 (#231)
      [Paride Legovini]
    - DataSourceEc2: use metadata's NIC ordering to determine route-metrics
      (#342)
    - .travis.yml: introduce caching (#329)
    - cc_locale: introduce schema (#335)
    - doc/rtd/conf.py: bump copyright year to 2020 (#341)
    - yum_add_repo: Add Centos to the supported distro list (#340)
    - Release 20.2 (#337)
    - doc/format: reference make-mime.py instead of an inline script (#334)
    - Add docs about  creating parent folders (#330) [Adrian Wilkins]
    - DataSourceNoCloud/OVF: drop claim to support FTP (#333)
    - schema: ignore spurious pylint error (#332)
    - schema: add json schema for write_files module (#152)
    - BSD: find_devs_with_ refactoring (#298) [Gonéri Le Bouder]
    - nocloud: drop work around for Linux 2.6 (#324) [Gonéri Le Bouder]
    - cloudinit: drop dependencies on unittest2 and contextlib2 (#322)
    - distros: handle a potential mirror filtering error case (#328)
    - log: remove unnecessary import fallback logic (#327)
    - .travis.yml: don't run integration test on ubuntu/* branches (#321)
    - More unit test documentation (#314)
    - conftest: introduce disable_subp_usage autouse fixture (#304)
    - YAML align indent sizes for docs readability  (#323) [Tak Nishigori]
    - network_state: add missing space to log message (#325)
    - tests: add missing mocks for get_interfaces_by_mac (#326)
    - test_mounts: expand happy path test for both happy paths (#319)
    - cc_mounts: fix incorrect format specifiers (#316)
    - swap file "size" being used before checked if str (#315) [Eduardo Otubo]
    - HACKING.rst: add pytest version gotchas section (#311)
    - docs: Add steps to re-run cloud-id and cloud-init (#313) [Joshua Powers]
    - readme: OpenBSD is now supported (#309) [Gonéri Le Bouder]
    - net: ignore 'renderer' key in netplan config (#306)
    - Add support for NFS/EFS mounts (#300) [Andrew Beresford]
    - openbsd: set_passwd should not unlock user (#289) [Gonéri Le Bouder]
    - tools/.github-cla-signers: add beezly as CLA signer (#301)
    - util: remove unnecessary lru_cache import fallback (#299)


=== debian/control ===
Source: cloud-init
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9.20160709),
               dh-python,
               iproute2,
               pep8,
               po-debconf,
               python3,
               python3-configobj,
               python3-httpretty,
               python3-jinja2,
               python3-jsonpatch,
               python3-jsonschema,
               python3-mock,
               python3-oauthlib,
               python3-pytest,
               python3-requests,
               python3-serial,
               python3-setuptools,
               python3-yaml
XS-Python-Version: all
Vcs-Browser: https://git.launchpad.net/cloud-init/?h=ubuntu/devel
Vcs-Git: git://git.launchpad.net/cloud-init -b ubuntu/devel
Standards-Version: 3.9.8

Package: cloud-init
Architecture: all
Depends: cloud-guest-utils | cloud-utils,
         isc-dhcp-client,
         iproute2,
         netplan.io | ifupdown,
         procps,
         python3,
         python3-requests,
         python3-serial,
         ${misc:Depends},
         ${python3:Depends}
Recommends: eatmydata, gdisk, software-properties-common
XB-Python-Version: ${python:Versions}
Description: Init scripts for cloud instances
 Cloud instances need special scripts to run during initialisation
 to retrieve and install ssh keys and to let the user run various scripts.

## cloud-init 20.3-2-g371b392c

=== debian/changelog ===
cloud-init (20.3-2-g371b392c-0ubuntu1~18.04.1) bionic; urgency=medium

  * d/cloud-init.postinst: fix the grub install device for NVMe-rooted
    instances on upgrade.  (LP: #1889555)
  * refresh patches:
   + debian/patches/ubuntu-advantage-revert-tip.patch
  * New upstream snapshot. (LP: #1893064)
    - util: remove debug statement (#556) [Joshua Powers]
    - Fix cloud config on chef example (#551) [lucasmoura]
    - Release 20.3 (#547) [James Falcon]
    - tox: bump the pylint version to 2.6.0 in the default run (#544)
      [Paride Legovini]
    - Azure: Add netplan driver filter when using hv_netvsc driver (#539)
      [James Falcon]
    - query: do not handle non-decodable non-gzipped content (#543)
    - DHCP sandboxing failing on noexec mounted /var/tmp (#521) [Eduardo Otubo]
    - Update the list of valid ssh keys. (#487) [Ole-Martin Bratteng]
    - cmd: cloud-init query to handle compressed userdata (#516)
    - Pushing cloud-init log to the KVP (#529) [Moustafa Moustafa]
    - Add Alpine Linux support. (#535) [dermotbradley]
    - Detect kernel version before swap file creation (#428) [Eduardo Otubo]
    - cli: add devel make-mime subcommand (#518)
    - user-data: only verify mime-types for TYPE_NEEDED and x-shellscript
      (#511)
    - DataSourceOracle: retry twice (and document why we retry at all) (#536)
    - Refactor Azure report ready code (#468) [Johnson Shi]
    - tox.ini: pin correct version of httpretty in xenial{,-dev} envs (#531)
    - Support Oracle IMDSv2 API (#528) [James Falcon]
    - .travis.yml: run a doc build during CI (#534)
    - doc/rtd/topics/datasources/ovf.rst: fix doc8 errors (#533)
    - Fix 'Users and Groups' configuration documentation (#530) [sshedi]
    - cloudinit.distros: update docstrings of add_user and create_user (#527)
    - Fix headers for device types in network v2 docs (#532)
      [Caleb Xavier Berger]
    - Add AlexBaranowski as contributor (#508) [Aleksander Baranowski]
    - DataSourceOracle: refactor to use only OPC v1 endpoint (#493)
    - .github/workflows/stale.yml: s/Josh/Rick/ (#526)
    - Fix a typo in apt pipelining module (#525) [Xiao Liang]
    - test_util: parametrize devlist tests (#523) [James Falcon]
    - Recognize LABEL_FATBOOT labels (#513) [James Falcon]
    - Handle additional identifier for SLES For HPC (#520) [Robert Schweikert]
    - Revert "test-requirements.txt: pin pytest to <6 (#512)" (#515)
    - test-requirements.txt: pin pytest to <6 (#512)
    - Add "tsanghan" as contributor (#504) [tsanghan]
    - fix brpm building
    - Adding eandersson as a contributor (#502) [Erik Olof Gunnar Andersson]
    - azure: disable bouncing hostname when setting hostname fails (#494)
      [Anh Vo]
    - VMware: Support parsing DEFAULT-RUN-POST-CUST-SCRIPT (#441)
      [xiaofengw-vmware]
    - DataSourceAzure: Use ValueError when JSONDecodeError is not available
      (#490) [Anh Vo]
    - cc_ca_certs.py: fix blank line problem when removing CAs and adding
      new one (#483) [dermotbradley]
    - freebsd: py37-serial is now py37-pyserial (#492) [Gonéri Le Bouder]
    - ssh exit with non-zero status on disabled user (#472) [Eduardo Otubo]
    - cloudinit: remove global disable of pylint W0107 and fix errors (#489)
    - networking: refactor wait_for_physdevs from cloudinit.net (#466)
    - HACKING.rst: add pytest.param pytest gotcha (#481)
    - cloudinit: remove global disable of pylint W0105 and fix errors (#480)
    - Fix two minor warnings (#475)
    - test_data: fix faulty patch (#476)
    - cc_mounts: handle missing fstab (#484)
    - LXD cloud_tests: support more lxd image formats (#482) [Paride Legovini]
    - Add update_etc_hosts as default module on *BSD (#479) [Adam Dobrawy]
    - cloudinit: fix tip-pylint failures and bump pinned pylint version (#478)
    - Added BirknerAlex as contributor and sorted the file (#477)
      [Alexander Birkner]
    - Update list of types of modules in cli.rst [saurabhvartak1982]
    - tests: use markers to configure disable_subp_usage (#473)
    - Add mention of vendor-data to no-cloud format documentation (#470)
      [Landon Kirk]
    - Fix broken link to OpenStack metadata service docs (#467)
      [Matt Riedemann]
    - Disable ec2 mirror for non aws instances (#390) [lucasmoura]
    - cloud_tests: don't pass --python-version to read-dependencies (#465)
    - networking: refactor is_physical from cloudinit.net (#457)
    - Enable use of the caplog fixture in pytest tests, and add a
      cc_final_message test using it (#461)
    - RbxCloud: Add support for FreeBSD (#464) [Adam Dobrawy]
    - Add schema for cc_chef module (#375) [lucasmoura]
    - test_util: add (partial) testing for util.mount_cb (#463)
    - .travis.yml: revert to installing ubuntu-dev-tools (#460)
    - HACKING.rst: add details of net refactor tracking (#456)
    - .travis.yml: rationalise installation of dependencies in host (#449)
    - Add dermotbradley as contributor. (#458) [dermotbradley]
    - net/networking: remove unused functions/methods (#453)
    - distros.networking: initial implementation of layout (#391)
    - cloud-init.service.tmpl: use "rhel" instead of "redhat" (#452)
    - Change from redhat to rhel in systemd generator tmpl (#450)
      [Eduardo Otubo]
    - Hetzner: support reading user-data that is base64 encoded. (#448)
      [Scott Moser]
    - HACKING.rst: add strpath gotcha to testing gotchas section (#446)
    - cc_final_message: don't create directories when writing boot-finished
      (#445)
    - .travis.yml: only store new schroot if something has changed (#440)
    - util: add ensure_dir_exists parameter to write_file (#443)
    - printing the error stream of the dhclient process before killing it
      (#369) [Moustafa Moustafa]
    - Fix link to the MAAS documentation (#442) [Paride Legovini]
    - RPM build: disable the dynamic mirror URLs when using a proxy (#437)
      [Paride Legovini]
    - util: rename write_file's copy_mode parameter to preserve_mode (#439)


## cloud-init 20.3-15-g6d332e5c

=== debian/changelog ===
cloud-init (20.3-15-g6d332e5c-0ubuntu1) groovy; urgency=medium

  * d/cloud-init.postinst: fix the grub install device for NVMe-rooted
    instances on upgrade.  (LP: #1889555)
  * d/cloud-init.templates: add RbxCloud to Choices-C.
  * Add d/clean to fully clean the build artifacts.
  * d/control:
    - Bump Standards-Version to 4.5.0, no changes needed.
    - B-D on debhelper-compat; drop d/compat.
  * Bump the debhelper compat level to 13. Required changes:
    - Stop including the dh systemd plugin.
    - Switch from dh_systemd_start to dh_installsystemd
  * New upstream snapshot.
    - create a shutdown_command method in distro classes (#567)
      [Emmanuel Thomé]
    - user_data: remove unused constant (#566)
    - network: Fix type and respect name when rendering vlan in
      sysconfig. (#541) [Eduardo Otubo] (LP: #1788915, #1826608)
    - Retrieve SSH keys from IMDS first with OVF as a fallback (#509)
      [Thomas Stringer]
    - Add jqueuniet as contributor (#569) [Johann Queuniet]
    - distros: minor typo fix (#562)
    - Bump the integration-requirements versioned dependencies (#565)
      [Paride Legovini]
    - network-config-format-v1: fix typo in nameserver example (#564)
      [Stanislas]
    - Run cloud-init-local.service after the hv_kvp_daemon (#505)
      [Robert Schweikert]
    - Add method type hints for Azure helper (#540) [Johnson Shi]
    - systemd: add Before=shutdown.target when Conflicts=shutdown.target is
      used (#546) [Paride Legovini]
    - LXD: detach network from profile before deleting it (#542)
      [Paride Legovini] (LP: #1776958)
    - redhat spec: add missing BuildRequires (#552) [Paride Legovini]

 -- Chad Smith <chad.smith@canonical.com>  Tue, 15 Sep 2020 20:19:10 -0600

cloud-init (20.3-2-g371b392c-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot.
    - util: remove debug statement (#556) [Joshua Powers]
    - Fix cloud config on chef example (#551) [lucasmoura]

 -- James Falcon <james.falcon@canonical.com>  Wed, 26 Aug 2020 12:49:05 -0500

cloud-init (20.3-0ubuntu1) groovy; urgency=medium

  * New upstream release.
    - Release 20.3 (#547) [James Falcon] (LP: #1892878)
    - tox: bump the pylint version to 2.6.0 in the default run (#544)
      [Paride Legovini]
    - Azure: Add netplan driver filter when using hv_netvsc driver (#539)
      [James Falcon] (LP: #1830740)
    - query: do not handle non-decodable non-gzipped content (#543)
    - DHCP sandboxing failing on noexec mounted /var/tmp (#521) [Eduardo Otubo]
    - Update the list of valid ssh keys. (#487)
      [Ole-Martin Bratteng] (LP: #1877869)
    - cmd: cloud-init query to handle compressed userdata (#516) (LP: #1889938)
    - Pushing cloud-init log to the KVP (#529) [Moustafa Moustafa]
    - Add Alpine Linux support. (#535) [dermotbradley]
    - Detect kernel version before swap file creation (#428) [Eduardo Otubo]
    - cli: add devel make-mime subcommand (#518)
    - user-data: only verify mime-types for TYPE_NEEDED and x-shellscript
      (#511) (LP: #1888822)
    - DataSourceOracle: retry twice (and document why we retry at all) (#536)
    - Refactor Azure report ready code (#468) [Johnson Shi]
    - tox.ini: pin correct version of httpretty in xenial{,-dev} envs (#531)
    - Support Oracle IMDSv2 API (#528) [James Falcon]
    - .travis.yml: run a doc build during CI (#534)
    - doc/rtd/topics/datasources/ovf.rst: fix doc8 errors (#533)
    - Fix 'Users and Groups' configuration documentation (#530) [sshedi]
    - cloudinit.distros: update docstrings of add_user and create_user (#527)
    - Fix headers for device types in network v2 docs (#532)
      [Caleb Xavier Berger]
    - Add AlexBaranowski as contributor (#508) [Aleksander Baranowski]
    - DataSourceOracle: refactor to use only OPC v1 endpoint (#493)
    - .github/workflows/stale.yml: s/Josh/Rick/ (#526)
    - Fix a typo in apt pipelining module (#525) [Xiao Liang]
    - test_util: parametrize devlist tests (#523) [James Falcon]
    - Recognize LABEL_FATBOOT labels (#513) [James Falcon] (LP: #1841466)
    - Handle additional identifier for SLES For HPC (#520) [Robert Schweikert]
    - Revert "test-requirements.txt: pin pytest to <6 (#512)" (#515)
    - test-requirements.txt: pin pytest to <6 (#512)
    - Add "tsanghan" as contributor (#504) [tsanghan]
    - fix brpm building (LP: #1886107)
    - Adding eandersson as a contributor (#502) [Erik Olof Gunnar Andersson]
    - azure: disable bouncing hostname when setting hostname fails (#494)
      [Anh Vo]
    - VMware: Support parsing DEFAULT-RUN-POST-CUST-SCRIPT (#441)
      [xiaofengw-vmware]
    - DataSourceAzure: Use ValueError when JSONDecodeError is not available
      (#490) [Anh Vo]
    - cc_ca_certs.py: fix blank line problem when removing CAs and adding
      new one (#483) [dermotbradley]
    - freebsd: py37-serial is now py37-pyserial (#492) [Gonéri Le Bouder]
    - ssh exit with non-zero status on disabled user (#472)
      [Eduardo Otubo] (LP: #1170059)
    - cloudinit: remove global disable of pylint W0107 and fix errors (#489)
    - networking: refactor wait_for_physdevs from cloudinit.net (#466)
      (LP: #1884626)
    - HACKING.rst: add pytest.param pytest gotcha (#481)
    - cloudinit: remove global disable of pylint W0105 and fix errors (#480)
    - Fix two minor warnings (#475)
    - test_data: fix faulty patch (#476)

 -- James Falcon <james.falcon@canonical.com>  Tue, 25 Aug 2020 15:27:53 -0500

cloud-init (20.2-94-g3d06abc2-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot.
    - cc_mounts: handle missing fstab (#484) (LP: #1886531)
    - LXD cloud_tests: support more lxd image formats (#482) [Paride Legovini]
    - Add update_etc_hosts as default module on *BSD (#479) [Adam Dobrawy]
    - cloudinit: fix tip-pylint failures and bump pinned pylint version (#478)
    - Added BirknerAlex as contributor and sorted the file (#477)
      [Alexander Birkner]
    - Update list of types of modules in cli.rst [saurabhvartak1982]


## cloud-init 20.4

=== debian/changelog ===
cloud-init (20.4-0ubuntu1~20.04.1) focal; urgency=medium

  * New upstream release. (LP: #1905599)
    - Release 20.4 (#686) [James Falcon]
    - tox: avoid tox testenv subsvars for xenial support (#684)
    - Ensure proper root permissions in integration tests (#664) [James Falcon]
    - LXD VM support in integration tests (#678) [James Falcon]
    - Integration test for fallocate falling back to dd (#681) [James Falcon]
    - .travis.yml: correctly integration test the built .deb (#683)
    - Ability to hot-attach NICs to preprovisioned VMs before reprovisioning
      (#613) [aswinrajamannar]
    - Support configuring SSH host certificates. (#660) [Jonathan Lung]
    - add integration test for #1900837 (#679)
    - cc_resizefs on FreeBSD: Fix _can_skip_ufs_resize (#655) [Mina Galić]
    - DataSourceAzure: push dmesg log to KVP (#670) [Anh Vo]
    - Make mount in place for tests work (#667) [James Falcon]
    - integration_tests: restore emission of settings to log (#657)
    - DataSourceAzure: update password for defuser if exists (#671) [Anh Vo]
    - tox.ini: only select "ci" marked tests for CI runs (#677)
    - Azure helper: Increase Azure Endpoint HTTP retries (#619) [Johnson Shi]
    - DataSourceAzure: send failure signal on Azure datasource failure (#594)
      [Johnson Shi]
    - test_persistence: simplify VersionIsPoppedFromState (#674)
    - only run a subset of integration tests in CI (#672)
    - cli: add --system param to allow validating system user-data on a
      machine (#575)
    - test_persistence: add VersionIsPoppedFromState test (#673)
    - introduce an upgrade framework and related testing (#659)
    - add --no-tty option to gpg (#669) [Till Riedel]
    - Pin pycloudlib to a working commit (#666) [James Falcon]
    - DataSourceOpenNebula: exclude SRANDOM from context output (#665)
    - cloud_tests: add hirsute release definition (#662)
    - split integration and cloud_tests requirements (#652)
    - faq.rst: add warning to answer that suggests running `clean` (#661)
    - Fix stacktrace in DataSourceRbxCloud if no metadata disk is found (#632)
      [Scott Moser]
    - Make wakeonlan Network Config v2 setting actually work (#626)
      [dermotbradley]
    - HACKING.md: unify network-refactoring namespace (#658) [Mina Galić]
    - replace usage of dmidecode with kenv on FreeBSD (#621) [Mina Galić]
    - Prevent timeout on travis integration tests. (#651) [James Falcon]
    - azure: enable pushing the log to KVP from the last pushed byte  (#614)
      [Moustafa Moustafa]
    - Fix launch_kwargs bug in integration tests (#654) [James Falcon]
    - split read_fs_info into linux & freebsd parts (#625) [Mina Galić]
    - PULL_REQUEST_TEMPLATE.md: expand commit message section (#642)
    - Make some language improvements in growpart documentation (#649)
      [Shane Frasier]
    - Revert ".travis.yml: use a known-working version of lxd (#643)" (#650)
    - Fix not sourcing default 50-cloud-init ENI file on Debian (#598)
      [WebSpider]
    - remove unnecessary reboot from gpart resize (#646) [Mina Galić]
    - cloudinit: move dmi functions out of util (#622) [Scott Moser]
    - integration_tests: various launch improvements (#638)
    - test_lp1886531: don't assume /etc/fstab exists (#639)
    - Remove Ubuntu restriction from PR template (#648) [James Falcon]
    - util: fix mounting of vfat on *BSD (#637) [Mina Galić]
    - conftest: improve docstring for disable_subp_usage (#644)
    - doc: add example query commands to debug Jinja templates (#645)
    - Correct documentation and testcase data for some user-data YAML (#618)
      [dermotbradley]
    - Hetzner: Fix instance_id / SMBIOS serial comparison (#640)
      [Markus Schade]
    - .travis.yml: use a known-working version of lxd (#643)
    - tools/build-on-freebsd: fix comment explaining purpose of the script
      (#635) [Mina Galić]
    - Hetzner: initialize instance_id from system-serial-number (#630)
      [Markus Schade]
    - Explicit set IPV6_AUTOCONF and IPV6_FORCE_ACCEPT_RA on static6 (#634)
      [Eduardo Otubo]
    - get_interfaces: don't exclude Open vSwitch bridge/bond members (#608)
      [Lukas Märdian]
    - Add config modules for controlling IBM PowerVM RMC. (#584) [Aman306]
    - Update network config docs to clarify MAC address quoting (#623)
      [dermotbradley]
    - gentoo: fix hostname rendering when value has a comment (#611)
      [Manuel Aguilera]
    - refactor integration testing infrastructure (#610) [James Falcon]
    - stages: don't reset permissions of cloud-init.log every boot (#624)
    - docs: Add how to use cloud-localds to boot qemu (#617) [Joshua Powers]
    - Drop vestigial update_resolve_conf_file function (#620) [Scott Moser]
    - cc_mounts: correctly fallback to dd if fallocate fails (#585)
    - .travis.yml: add integration-tests to Travis matrix (#600)
    - ssh_util: handle non-default AuthorizedKeysFile config (#586)
      [Eduardo Otubo]
    - Multiple file fix for AuthorizedKeysFile config (#60) [Eduardo Otubo]
    - bddeb: new --packaging-branch argument to pull packaging from branch
      (#576) [Paride Legovini]
    - Add more integration tests (#615) [lucasmoura]
    - DataSourceAzure: write marker file after report ready in preprovisioning
      (#590) [Johnson Shi]
    - integration_tests: emit settings to log during setup (#601)
    - integration_tests: implement citest tests run in Travis (#605)
    - Add Azure support to integration test framework (#604) [James Falcon]
    - openstack: consider product_name as valid chassis tag (#580)
      [Adrian Vladu]
    - azure: clean up and refactor report_diagnostic_event (#563) [Johnson Shi]
    - net: add the ability to blacklist network interfaces based on driver
      during enumeration of physical network devices (#591) [Anh Vo]
    - integration_tests: don't error on cloud-init failure (#596)
    - integration_tests: improve cloud-init.log assertions (#593)


=== debian/control ===
Source: cloud-init
Section: admin
Priority: optional
Homepage: https://cloud-init.io/
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9.20160709),
               dh-python,
               iproute2,
               pep8,
               po-debconf,
               python3,
               python3-configobj,
               python3-httpretty,
               python3-jinja2,
               python3-jsonpatch,
               python3-jsonschema,
               python3-mock,
               python3-oauthlib,
               python3-pytest,
               python3-requests,
               python3-serial,
               python3-setuptools,
               python3-yaml
XS-Python-Version: all
Vcs-Browser: https://github.com/canonical/cloud-init/tree/ubuntu/devel
Vcs-Git: https://github.com/canonical/cloud-init -b ubuntu/devel
Standards-Version: 4.4.1
Rules-Requires-Root: no

Package: cloud-init
Architecture: all
Depends: cloud-guest-utils | cloud-utils,
         isc-dhcp-client,
         iproute2,
         netplan.io,
         procps,
         python3,
         python3-requests,
         python3-serial,
         ${misc:Depends},
         ${python3:Depends}
Recommends: eatmydata, gdisk, software-properties-common
XB-Python-Version: ${python:Versions}
Description: initialization and customization tool for cloud instances
 Cloud-init is the industry standard multi-distribution method for
 cross-platform cloud instance initialization. It is supported across all major
 public cloud providers, provisioning systems for private cloud infrastructure,
 and bare-metal installations.
 .
 Cloud instances are initialized from a disk image and instance data:
 .
  * Cloud metadata
  * User data (optional)
  * Vendor data (optional)
 .
 Cloud-init will identify the cloud it is running on during boot, read any
 provided metadata from the cloud and initialize the system accordingly. This
 may involve setting up the network and storage devices to configuring SSH
 access key and many other aspects of a system. Later on the cloud-init will
 also parse and process any optional user or vendor data that was passed to
 the instance.

## cloud-init 20.4.1

=== debian/changelog ===
cloud-init (20.4.1-2+deb11u1) bullseye; urgency=high

  * Team upload.
  * cherry-pick upstream fix for duplicate includes in /etc/sudoers
    (Closes: #991629)

 -- Ross Vandegrift <rvandegrift@debian.org>  Thu, 12 Aug 2021 18:47:26 -0600

cloud-init (20.4.1-2) unstable; urgency=high

  * Avoid logging generated passwords to world-readable log files.
    CVE-2021-3429. (Closes: #985540)

 -- Noah Meyerhans <noahm@debian.org>  Fri, 19 Mar 2021 09:18:59 -0700

cloud-init (20.4.1-1) unstable; urgency=medium

  * d/watch: switch upstream to github
  * New upstream version 20.4.1

 -- Noah Meyerhans <noahm@debian.org>  Tue, 19 Jan 2021 10:27:39 -0800

cloud-init (20.4-1) unstable; urgency=medium

  * New upstream version 20.4
  * Clarifiy comments and spelling in default cloud.cfg (Closes: #971582)
  * d/copyright: Clean up formatting
  * Clean up lintian overrides
  * Suppress lintian warning about Z99-cloud-locale-test.sh

 -- Noah Meyerhans <noahm@debian.org>  Wed, 25 Nov 2020 19:29:14 -0800

cloud-init (20.2-3) unstable; urgency=medium

  * Ignore all of test_datasource/test_opennebula.py, as tests are failing
    under Python 3.9, and I don't think anyone cares about opennebula anymore.
    Anyone willing to fix is welcome to send a MR. (Closes: #973062)

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Oct 2020 18:23:20 +0100

=== debian/watch ===
version=3
https://launchpad.net/cloud-init https://launchpad.net/cloud-init/.*/cloud-init-(.*).tar.gz
